/**
 * Created by yhy on 2019/5/7.
 */
$$(document).on('page:init', '.page[data-name="order_famous_teacher"]', function (e, page) {
    $$(".toolbar").hide();
    cxx.OrderFamousTeacher.viewSource = page.view.selector;
    cxx.OrderFamousTeacher.famousId = page.route.query.famousId;
    var today = new Date();
    var pickerInline = app.picker.create({
        inputEl: '#order-famous-teacher-picker-date',
        toolbar: true,
        toolbarCloseText: "确定",
        formatValue: function (values, displayValues) {
            return values[0] + '-' + values[1] + '-' + values[2];
        },
        cols: [
            // Years
            {
                values: (function () {
                    var arr = [];
                    for (var i = 2018; i <= 2099; i++) {
                        arr.push(i);
                    }
                    return arr;
                })(),
                displayValues: (function () {
                    var arr = [];
                    for (var i = 2018; i <= 2099; i++) {
                        arr.push(i + "年");
                    }
                    return arr;
                })(),
                textAlign: 'left'
            },
            // Months
            {
                values: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
                displayValues: ('1月 2月 3月 4月 5月 6月 7月 8月 9月 10月 11月 12月').split(' '),
                textAlign: 'left'
            },
            // Days
            {
                values: ('01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31').split(' '),
                displayValues: ('01日 02日 03日 04日 05日 06日 07日 08日 09日 10日 11日 12日 13日 14日 15日 16日 17日 18日 19日 20日 21日 22日 23日 24日 25日 26日 27日 28日 29日 30日 31日').split(' '),
            },
        ],
        on: {
            open: function (picker) {
                var arr = [];
                arr[0] = today.getFullYear(),
                    arr[1] = (today.getMonth() + 1) > 9 ? (today.getMonth() + 1) : '0' + (today.getMonth() + 1),
                    arr[2] = today.getDate() > 9 ? today.getDate() : '0' + today.getDate(),
                    pickerInline.setValue(arr, 10);
            },
            change: function (picker, values, displayValues) {
                var daysInMonth = new Date(picker.value[0], parseInt(picker.value[1]), 0).getDate();
                if (parseInt(values[2]) > daysInMonth) {
                    picker.cols[2].setValue(daysInMonth);
                }
            },
        }
    });

    // 初始化省市区
    cxx.OrderFamousTeacher.province = cxx.OrderFamousTeacher.getProvince(regions),
        cxx.OrderFamousTeacher.city = cxx.OrderFamousTeacher.getCity(regions, '广东省'),
        cxx.OrderFamousTeacher.area = cxx.OrderFamousTeacher.getArea(regions, '广东省', '广州市');

// 保存 picker 选择的省
    var provinceSelect2 = '广东省';

// 省市区联动 / Framework7 picker
    var pickerRegion = app.picker.create({
        inputEl: '#order_famous_teacher_region',
        rotateEffect: true,
        formatValue: function (values) {
            return values[0]+"-"+values[1]+"-"+values[2];
        },
        toolbar: true,
        toolbarCloseText: "确定",
        cols: [{
            cssClass: 'f-s-14',
            width: '33.33%',
            textAlign: 'left',
            values: cxx.OrderFamousTeacher.province,
            onChange: function (picker, province) {
                if (picker.cols[1].replaceValues) {
                    provinceSelect2 = province;
                    cxx.OrderFamousTeacher.city = cxx.OrderFamousTeacher.getCity(regions, province);
                    cxx.OrderFamousTeacher.area = cxx.OrderFamousTeacher.getArea(regions, province, cxx.OrderFamousTeacher.city[0]);
                    picker.cols[1].replaceValues(cxx.OrderFamousTeacher.city);
                    picker.cols[2].replaceValues(cxx.OrderFamousTeacher.area);
                }
            }
        },
            {
                cssClass: 'f-s-14',
                width: '33.33%',
                textAlign: 'center',
                values: cxx.OrderFamousTeacher.city,
                onChange: function (picker, city) {
                    if (picker.cols[2].replaceValues) {
                        cxx.OrderFamousTeacher.area = cxx.OrderFamousTeacher.getArea(regions, provinceSelect2, city);
                        picker.cols[2].replaceValues(cxx.OrderFamousTeacher.area);
                    }
                }
            },
            {
                cssClass: 'f-s-14',
                width: '33.33%',
                textAlign: 'center',
                values: cxx.OrderFamousTeacher.area,
            }
        ]
    });
});

//页面离开
$$(document).on('page:beforeout', '.page[data-name="order_famous_teacher"]', function (e) {

});

//页面重新初始化
$$(document).on('page:reinit', '.page[data-name="order_famous_teacher"]', function (e, page) {
    $$(".toolbar").hide();

});


$$(document).on("click", ".yhy-order-famous-teacher-submit", function () {
    var form = app.form.convertToData("#yhy_order_famous_teacher_form");
    if (form.linkman == null || form.linkman == "") {
        app.dialog.alert("联系人不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }

    if (form.telephone == null || form.telephone == "") {
        app.dialog.alert("电话不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    if (form.personCount == null || form.personCount == "") {

        app.dialog.alert("参与学生人数不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    if (form.lectureTime == null || form.lectureTime == "") {

        app.dialog.alert("计划讲座时间不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    if (form.region == null || form.region == "") {

        app.dialog.alert("地区不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    if (form.lecturePlace == null || form.lecturePlace == "") {

        app.dialog.alert("场地不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    if (form.lectureTitle == null || form.lectureTitle == "") {

        app.dialog.alert("相关主题不能为空");
        setTimeout(function () {
            app.dialog.close();
        }, 1500);
        return false;
    }
    app.request.post(url.orderFamousTeacher, {
        token: globalData.token,
        famousId: cxx.OrderFamousTeacher.famousId,
        linkman: form.linkman,
        superiorName: form.superiorName,
        telephone: form.telephone,
        lectureTime: form.lectureTime,
        lecturePlace: form.lecturePlace,
        personCount: form.personCount,
        remark: form.remark,
        lectureTitle: form.lectureTitle,
        region: form.region,
    }, function (data) {
        if (data.resCode == 1) {
            app.dialog.alert("提交成功");
            setTimeout(function () {
                app.dialog.close();
            }, 1500);
            if (cxx.OrderFamousTeacher.viewSource == "#view-home") {
                homeView.router.back();
            } else if (cxx.OrderFamousTeacher.viewSource == "#view-book") {
                bookView.router.back();
            }else if (cxx.OrderFamousTeacher.viewSource == "#view-personal") {
                personalView.router.back();
            }
        } else {
            app.dialog.alert("提交失败");
            setTimeout(function () {
                app.dialog.close();
            }, 2000)
        }
    }, "json")
});


